Bug 217659 - Cannot find relative path in test on Windows with space in path
Cannot find relative path in test on Windows with space in path
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
7.3
PC Linux
: P1 (vote)
: 7.3
Assigned To: Jaroslav Tulach
issues@platform
: SPACE_IN_PATH, TEST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 06:33 UTC by Jaroslav Tulach
Modified: 2012-09-21 02:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2012-08-31 06:33:14 UTC
[junit] FINE [org.netbeans.Stamps]: Cannot find relative path for C:\space\hudson\workspace\platform-netigso\jdk\JDK%201.6\label\Microsoft\netbeans\platform\modules\org-netbeans-modules-javahelp.jar
    [junit] FINE [org.netbeans.Stamps]: Cannot find relative path for C:\space\hudson\workspace\platform-netigso\jdk\JDK%201.6\label\Microsoft\netbeans\platform\modules\ext\jhall-2.0_05.jar
    [junit] FINE [org.netbeans.Stamps]: Cannot find relative path for C:\space\hudson\workspace\platform-netigso\jdk\JDK%201.6\label\Microsoft\netbeans\platform\core\core.jar
    [junit] FINE [org.netbeans.Stamps]: Cannot find relative path for C:\space\hudson\workspace\platform-netigso\jdk\JDK%201.6\label\Microsoft\netbeans\platform\core\core.jar
    [junit] FINE [org.netbeans.Stamps]: Cannot find relative path for C:\space\hudson\workspace\platform-netigso\jdk\JDK%201.6\label\Microsoft\netbeans\platform\modules\org-netbeans-modules-masterfs.jar
Build timed out. Aborting
Build was aborted
Archiving artifacts
    [junit] FINE [org.netbeans.Stamps]: Cannot find relative path for C:\space\hudson\workspace\platform-netigso\jdk\JDK%201.6\label\Microsoft\njava.io.IOException: mkdir: C:\space\hudson\workspace\platform-netigso\jdk\JDK 1.6\label\Microsoft\testdistribution\unit\work\org-netbeans-modules-netbinox\o.n.m.n.C\ra-FAILED
    [junit] 	at org.netbeans.junit.NbTestCase.copytree(NbTestCase.java:488)
    [junit] 	at org.netbeans.junit.NbTestCase.noteWorkDir(NbTestCase.java:474)
    [junit] 	at org.netbeans.junit.NbTestCase.access$400(NbTestCase.java:97)
    [junit] 	at org.netbeans.junit.NbTestCase$2.doSomething(NbTestCase.java:415)
    [junit] 	at org.netbeans.junit.NbTestCase$1Guard.run(NbTestCase.java:339)
    [junit] 	at java.lang.Thread.run(Unknown Source)
Recording test results
Finished: ABORTED
Comment 1 Jaroslav Tulach 2012-08-31 06:34:08 UTC
The file one is looking for should probably not contain "%20"...
Comment 2 Jaroslav Tulach 2012-08-31 06:37:27 UTC
Seems to happen also on Solaris:

System class loader patches: /space/hudson/workspace/platform-netigso/jdk/JDK 1.6/label/solaris/testdistribution/unit/platform/org-netbeans-core-netigso/tests.jar:/space/hudson/workspace/platform-netigso/jdk/JDK 1.6/label/solaris/testdistribution/unit/classes
FINE [org.netbeans.Stamps]: Cannot find relative path for /space/hudson/workspace/platform-netigso/jdk/JDK%201.6/label/solaris/netbeans/platform/core/core.jar
FINE [org.netbeans.Stamps]: Cannot find relative path for /space/hudson/workspace/platform-netigso/jdk/JDK%201.6/label/solaris/netbeans/platform/core/core.jar
FINE [org.netbeans.Stamps]: Cannot find relative path for /space/hudson/workspace/platform-netigso/jdk/JDK%201.6/label/solaris/netbeans/platform/core/core.jar
FINE [org.netbeans.Stamps]: Cannot find relative path for /space/hudson/workspace/platform-netigso/jdk/JDK%201.6/label/solaris/netbeans/platform/core/org-openide-filesystems.jar
FINE [org.netbeans.Stamps]: Cannot find relative path for /space/hudson/workspace/platform-netigso/jdk/JDK%201.6/label/solaris/netbeans/platform/core/locale/org-openide-filesystems_pt_BR.jar
FINE [org.netbeans.Stamps]: Cannot find relative path for /space/hudson/workspace/platform-netigso/jdk/JDK%201.6/label/solaris/netbeans/platform/core/locale/core_ru.jar
Comment 3 Jaroslav Tulach 2012-09-17 08:14:52 UTC
ergonomics#63695dd601ab
Comment 4 Quality Engineering 2012-09-21 02:29:12 UTC
Integrated into 'main-golden', will be available in build *201209210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/63695dd601ab
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #217659: Cannot find relative path in test on Windows with space in path
Convert %20 to space


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo